CKEDITOR.plugins.add( 'mwabimg',
{
	init: function( editor )
	{
		editor.addCommand( 'mwabimgCommand', new CKEDITOR.dialogCommand( 'mwabimgDialog' ) );
		editor.ui.addButton( 'mwabimg',
			{
				label: 'إدراج صورة كبيره وعرضها مصغره',
				command: 'mwabimgCommand',
				icon: this.path + 'mwabimg.gif'
			}
		);
		// dialog
		CKEDITOR.dialog.add( 'mwabimgDialog', function( editor )
		{
			return {
				title : 'إدراج صورة كبيره وعرضها مصغره',
				width : 400,
				height : 'auto',
				contents :
				[
					{
						id : 'mwabimg',
						label : 'mwabimg',
						elements :
						[
							{
								type : 'html',
								html : '<center>أدخل مسار الصورة كاملا</center>'
							},
							{
								type : 'text',
								id : 'url',
								label : 'الرابط',
				     				validate: CKEDITOR.dialog.validate.regex(/(ftp|http|https):\/\/(\w+:{0,1}\w*@)?(\S+)(:[0-9]+)?(\/|\/([\w#!:.?+=&%@!\-\/]))?/, 'برجاء ادخال رابط صحيح'),
								required : true,
								commit : function( me )
								{
									me.url = this.getValue();
								}
							}
						]
					}
				],
				onOk : function()
				{
					me = {},
					this.commitContent( me );
					editor.insertHtml('[BIMG]' + me.url + '[/BIMG]');
				}
			};
		});
	}
});